﻿
(function () {
    'use strict';

    angular
        .module('app')
        .controller('controller', controller);

    controller.$inject = ['$scope'];

    function controller($scope) {
        $scope.title = 'TechDays 2014 개발자 컨퍼런스';

        activate();

        function activate() { }
    }


    // TechDays 2014 관련 리스트/상세보기 컨트롤러
    //var techdays = angular.module('app').controller('techdays', []);
    //[a] 모듈 참조(네임스페이스)
    var techdays = angular.module('app');

    //[b] 리스트 컨트롤러
    techdays.controller('ListController', ['$scope', '$http', function ($scope, $http) {
        $http.get('Handlers/SpeakerHandler.ashx').success(function (data) {
            $scope.speakers = data;
        });
    }]);

    //[c] 상세보기 컨트롤러
    techdays.controller('DetailsController', ['$scope', '$http', '$routeParams', function ($scope, $http, $routeParams) {
        $http.get('Handlers/SpeakerHandler.ashx').success(function (data) {
            $scope.speakers = data;
            $scope.currentId = $routeParams.Id;

            if ($routeParams.Id > 0) {
                $scope.prevId = Number($routeParams.Id) - 1;
            } else {
                $scope.prevId = $scope.speakers.length - 1;
            }

            if ($routeParams.Id < $scope.speakers.length - 1) {
                $scope.nextId = Number($routeParams.Id) + 1;
            } else {
                $scope.nextId = 0;
            }
        });
    }]);



})();
